package classes;

public class Locacao {
	private String identificador_filme;
	private String cpf;
	private Periodo periodo;
	private double valor;
	
	public Locacao( String identificador_filme, String cpf, 
			Periodo periodo, double valor)
	{
		this.identificador_filme = identificador_filme;
		this.cpf = cpf;
		this.periodo = periodo;
		int valor_locacao = procurar().getValor_Locacao;
		int dias = periodo.getNumeroDias();
		this.valor = valor_locacao + (dias-1)*valor_locacao*(1-0.1*(dias-1));
	}

	public String getIdentificador_filme() {
		return identificador_filme;
	}

	public void setIdentificador_filme(String identificadorFilme) {
		identificador_filme = identificadorFilme;
	}

	public String getCpf() {
		return cpf;
	}

	public void setCpf(String cpf) {
		this.cpf = cpf;
	}

	public int getPeriodo() {
		return periodo;
	}

	public void setPeriodo(int periodo) {
		this.periodo = periodo;
	}

	public double getValor() {
		return valor;
	}

	public void setValor(double valor) {
		this.valor = valor;
	}
	
	

}
