package classes;

public class Periodo {
	private String data_inicio;
	private String data_fim;
	
	public Periodo(String data_inicio, String data_fim)
	{
		this.data_inicio = data_inicio;
		this.data_fim = data_fim;
	}
	
	public int getNumeroDias()
	{
		String dia_inicio = data_inicio.substring(0,2);
		String mes_inicio = data_inicio.substring(3,5);
		String ano_inicio = data_inicio.substring(6, data_inicio.length());
		
		String dia_fim = data_fim.substring(0,2);
		
		Integer dia_fim_valorInt = new Integer(dia_fim);
		Integer dia_inicio_valorInt = new Integer(dia_inicio);
		
		int dia_fim_valor = dia_fim_valorInt.intValue();
		int dia_inicio_valor = dia_inicio_valorInt.intValue();
		
		Integer mes_inicio_valorInt = new Integer(mes_inicio);
		Integer ano_inicio_valorInt = new Integer(ano_inicio);
		
		int mes_inicio_valor = mes_inicio_valorInt.intValue();
		int ano_inicio_valor = ano_inicio_valorInt.intValue();
		
		int fim_do_mes = getDiaFinal( mes_inicio_valor, ano_inicio_valor);
		
		if( dia_fim_valor < dia_inicio_valor )
		{
			int cont = 0;
			while( dia_fim_valor != dia_inicio_valor )
			{
				if( dia_inicio_valor == fim_do_mes )
				{
					dia_inicio_valor = 1;
					cont++;
				}
				dia_inicio_valor++;
				cont++;
			}
			return cont;
		}
		else
		{
			if( dia_inicio_valor == dia_fim_valor )
			{
				int pedaco = fim_do_mes - dia_inicio_valor;
				pedaco = pedaco + dia_fim_valor;
				return pedaco;
			}
			else
			{
				return dia_fim_valor - dia_inicio_valor;
			}
		}
	}
	
	public static int getDiaFinal( int mes , int ano)
	{
		if( mes == 1 || mes == 3 || mes == 5 || mes == 7 || mes == 8 || mes == 10 || mes == 12 )
		{
			return 31;
		}
		else
		{
			if( mes == 2 && (ano%400 == 0 || (ano%4 == 0 && ano%100 != 0)) )
			{
				return 29;
			}
			else
			{
				if( mes == 2)
				{
					return 28;
				}
				else
				{
					return 30;
				}
			}
		}
	}

}
