package filtros;

import interfaces.Filtro;
import classes.Cliente;

public class FiltroClienteNome implements Filtro<Cliente>
{
	private String nome;
	
	public FiltroClienteNome(String nome)
	{
		this.nome = nome;
	}

	public boolean filtrar(Cliente cliente) 
	{
		String nomeCliente = cliente.getNome().toLowerCase();
		String nome_comp = nome.toLowerCase();
		if( nomeCliente.contains(nome_comp) )
		{
			return true;
		}
		return false;
	}



}
