package filtros;

import interfaces.Filtro;
import classes.Copia;

public class FiltroFilmeNome implements Filtro<Copia> {
	
	private String nome;
	
	public FiltroFilmeNome( String nome )
	{
		this.nome = nome;
	}
	
	public boolean filtrar(Copia copia) 
	{
		String nomeDvd = copia.getNomeDvd().toLowerCase();
		String nome_comp = nome.toLowerCase();
		if( nomeDvd.contains(nome_comp) )
		{
			return true;
		}
		return false;
	}

}
